[arch-commits] Commit in glib2/repos (16 files)

Jan Steffens heftig at archlinux.org
Mon Oct 10 21:17:03 UTC 2016


    Date: Monday, October 10, 2016 @ 21:17:03
  Author: heftig
Revision: 278193

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  glib2/repos/testing-i686/PKGBUILD
    (from rev 278192, glib2/trunk/PKGBUILD)
  glib2/repos/testing-i686/gio-querymodules.hook
    (from rev 278192, glib2/trunk/gio-querymodules.hook)
  glib2/repos/testing-i686/glib-compile-schemas.hook
    (from rev 278192, glib2/trunk/glib-compile-schemas.hook)
  glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch
    (from rev 278192, glib2/trunk/revert-warn-glib-compile-schemas.patch)
  glib2/repos/testing-x86_64/PKGBUILD
    (from rev 278192, glib2/trunk/PKGBUILD)
  glib2/repos/testing-x86_64/gio-querymodules.hook
    (from rev 278192, glib2/trunk/gio-querymodules.hook)
  glib2/repos/testing-x86_64/glib-compile-schemas.hook
    (from rev 278192, glib2/trunk/glib-compile-schemas.hook)
  glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch
    (from rev 278192, glib2/trunk/revert-warn-glib-compile-schemas.patch)
Deleted:
  glib2/repos/testing-i686/PKGBUILD
  glib2/repos/testing-i686/gio-querymodules.hook
  glib2/repos/testing-i686/glib-compile-schemas.hook
  glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch
  glib2/repos/testing-x86_64/PKGBUILD
  glib2/repos/testing-x86_64/gio-querymodules.hook
  glib2/repos/testing-x86_64/glib-compile-schemas.hook
  glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch

-------------------------------------------------------+
 /PKGBUILD                                             |  166 ++++++++++++++++
 /gio-querymodules.hook                                |   22 ++
 /glib-compile-schemas.hook                            |   24 ++
 /revert-warn-glib-compile-schemas.patch               |   66 ++++++
 testing-i686/PKGBUILD                                 |   79 -------
 testing-i686/gio-querymodules.hook                    |   11 -
 testing-i686/glib-compile-schemas.hook                |   12 -
 testing-i686/revert-warn-glib-compile-schemas.patch   |   33 ---
 testing-x86_64/PKGBUILD                               |   79 -------
 testing-x86_64/gio-querymodules.hook                  |   11 -
 testing-x86_64/glib-compile-schemas.hook              |   12 -
 testing-x86_64/revert-warn-glib-compile-schemas.patch |   33 ---
 12 files changed, 278 insertions(+), 270 deletions(-)

Deleted: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2016-10-10 21:16:42 UTC (rev 278192)
+++ testing-i686/PKGBUILD	2016-10-10 21:17:03 UTC (rev 278193)
@@ -1,79 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=glib2
-pkgname=(glib2 glib2-docs)
-pkgver=2.50.0+9+g34751ad
-pkgrel=1
-pkgdesc="Low level core library"
-url="http://www.gtk.org/"
-arch=(i686 x86_64)
-makedepends=('gettext' 'gtk-doc' 'libffi' 'pcre' 'zlib' 'shared-mime-info' 'python' 'libelf' 'git')
-_commit=34751ad17ac8e73558c530d15a3398273a5f4f67
-source=("git://git.gnome.org/glib#commit=$_commit"
-        glib-compile-schemas.hook
-        gio-querymodules.hook
-        revert-warn-glib-compile-schemas.patch)
-sha256sums=('SKIP'
-            'e1123a5d85d2445faac33f6dae1085fdd620d83279a4e130a83fe38db52b62b3'
-            '5ba204a2686304b1454d401a39a9d27d09dd25e4529664e3fd565be3d439f8b6'
-            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
-
-pkgver() {
-  cd glib
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd glib
-  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
-  NOCONFIGURE=1 ./autogen.sh
-}
-  
-build() {
-  cd glib
-  ./configure --prefix=/usr --libdir=/usr/lib \
-      --sysconfdir=/etc \
-      --with-pcre=system \
-      --disable-fam \
-      --enable-gtk-doc
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd glib
-  # Takes an effing long time
-  #make -k check || :
-}
-
-package_glib2() {
-  depends=('pcre' 'libffi')
-  optdepends=('python: for gdbus-codegen and gtester-report'
-              'libelf: gresource inspection tool')
-  options=('!docs' '!emptydirs')
-  license=('LGPL')
-
-  cd glib
-  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
-
-  chmod -x "$pkgdir"/usr/share/bash-completion/completions/*
-
-  # install hooks
-  install -dm755 "$pkgdir"/usr/share/libalpm/hooks/
-  install -m644 "$srcdir"/{glib-compile-schemas,gio-querymodules}.hook "$pkgdir"/usr/share/libalpm/hooks/
-}
-
-package_glib2-docs() {
-  pkgdesc="Documentation for glib2"
-  conflicts=('gobject2-docs')
-  replaces=('gobject2-docs')
-  license=('custom')
-  options=('docs' '!emptydirs')
-  
-  cd glib/docs
-  make DESTDIR="${pkgdir}" install
-  rm -rf "${pkgdir}/usr/share/man"
-  install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
-  install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
-}

Copied: glib2/repos/testing-i686/PKGBUILD (from rev 278192, glib2/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2016-10-10 21:17:03 UTC (rev 278193)
@@ -0,0 +1,83 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.50.1
+pkgrel=1
+pkgdesc="Low level core library"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=(gettext gtk-doc libffi pcre zlib shared-mime-info python libelf git)
+checkdepends=(desktop-file-utils dbus)
+_commit=e44ea516afeb41d22cebf968b3ea5d9543856df2  # tags/2.50.1^0
+source=("git://git.gnome.org/glib#commit=$_commit"
+        glib-compile-schemas.hook
+        gio-querymodules.hook
+        revert-warn-glib-compile-schemas.patch)
+sha256sums=('SKIP'
+            'e1123a5d85d2445faac33f6dae1085fdd620d83279a4e130a83fe38db52b62b3'
+            '5ba204a2686304b1454d401a39a9d27d09dd25e4529664e3fd565be3d439f8b6'
+            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+pkgver() {
+  cd glib
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd glib
+  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+build() {
+  cd glib
+  ./configure --prefix=/usr --libdir=/usr/lib \
+      --sysconfdir=/etc \
+      --with-pcre=system \
+      --disable-fam \
+      --enable-gtk-doc
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd glib
+  if ! make check; then
+    # Rounding error in timer tests?
+    # GLib:ERROR:timer.c:38:test_timer_basic: assertion failed (micros == ((guint64)(elapsed * 1e6)) % 1000000): (1 == 0)
+    make check
+  fi
+}
+
+package_glib2() {
+  depends=(pcre libffi)
+  optdepends=('python: for gdbus-codegen and gtester-report'
+              'libelf: gresource inspection tool')
+  options=(!docs !emptydirs)
+  license=(LGPL)
+
+  cd glib
+  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+  chmod -x "$pkgdir"/usr/share/bash-completion/completions/*
+
+  # install hooks
+  install -d "$pkgdir/usr/share/libalpm/hooks/"
+  install -m644 "$srcdir"/{glib-compile-schemas,gio-querymodules}.hook \
+    "$pkgdir/usr/share/libalpm/hooks/"
+}
+
+package_glib2-docs() {
+  pkgdesc="Documentation for glib2"
+  conflicts=(gobject2-docs)
+  replaces=(gobject2-docs)
+  license=(custom)
+  options=(docs !emptydirs)
+  
+  cd glib/docs
+  make DESTDIR="$pkgdir" install
+  rm -r "$pkgdir/usr/share/man"
+  install -Dm644 reference/COPYING "$pkgdir/usr/share/licenses/glib2-docs/COPYING"
+}

Deleted: testing-i686/gio-querymodules.hook
===================================================================
--- testing-i686/gio-querymodules.hook	2016-10-10 21:16:42 UTC (rev 278192)
+++ testing-i686/gio-querymodules.hook	2016-10-10 21:17:03 UTC (rev 278193)
@@ -1,11 +0,0 @@
-[Trigger]
-Type = File
-Operation = Install
-Operation = Upgrade
-Operation = Remove
-Target = usr/lib/gio/modules/*.so
-
-[Action]
-Description = Updating GIO module cache...
-When = PostTransaction
-Exec = /usr/bin/gio-querymodules /usr/lib/gio/modules

Copied: glib2/repos/testing-i686/gio-querymodules.hook (from rev 278192, glib2/trunk/gio-querymodules.hook)
===================================================================
--- testing-i686/gio-querymodules.hook	                        (rev 0)
+++ testing-i686/gio-querymodules.hook	2016-10-10 21:17:03 UTC (rev 278193)
@@ -0,0 +1,11 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/lib/gio/modules/*.so
+
+[Action]
+Description = Updating GIO module cache...
+When = PostTransaction
+Exec = /usr/bin/gio-querymodules /usr/lib/gio/modules

Deleted: testing-i686/glib-compile-schemas.hook
===================================================================
--- testing-i686/glib-compile-schemas.hook	2016-10-10 21:16:42 UTC (rev 278192)
+++ testing-i686/glib-compile-schemas.hook	2016-10-10 21:17:03 UTC (rev 278193)
@@ -1,12 +0,0 @@
-[Trigger]
-Type = File
-Operation = Install
-Operation = Upgrade
-Operation = Remove
-Target = usr/share/glib-2.0/schemas/*.gschema.xml
-Target = usr/share/glib-2.0/schemas/*.gschema.override
-
-[Action]
-Description = Compiling GSettings XML schema files...
-When = PostTransaction
-Exec = /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

Copied: glib2/repos/testing-i686/glib-compile-schemas.hook (from rev 278192, glib2/trunk/glib-compile-schemas.hook)
===================================================================
--- testing-i686/glib-compile-schemas.hook	                        (rev 0)
+++ testing-i686/glib-compile-schemas.hook	2016-10-10 21:17:03 UTC (rev 278193)
@@ -0,0 +1,12 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/share/glib-2.0/schemas/*.gschema.xml
+Target = usr/share/glib-2.0/schemas/*.gschema.override
+
+[Action]
+Description = Compiling GSettings XML schema files...
+When = PostTransaction
+Exec = /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

Deleted: testing-i686/revert-warn-glib-compile-schemas.patch
===================================================================
--- testing-i686/revert-warn-glib-compile-schemas.patch	2016-10-10 21:16:42 UTC (rev 278192)
+++ testing-i686/revert-warn-glib-compile-schemas.patch	2016-10-10 21:17:03 UTC (rev 278193)
@@ -1,33 +0,0 @@
-From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
-From: Ryan Lortie <desrt at desrt.ca>
-Date: Thu, 12 Apr 2012 23:55:34 +0000
-Subject: glib-compile-schemas: warn about bad dconf paths
-
-For quite some time the recommended usage of GSettings and dconf has
-been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
-over from GConf and is continuing to make its way into a number of
-applications as they port.
-
-glib-compile-schemas will now warn about these types of paths being
-used.  This generates a lot of noise, but hopefully it will reduce the
-number of ported applications making this mistake.
----
-diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
-index cf02389..27d0181 100644
---- a/gio/glib-compile-schemas.c
-+++ b/gio/glib-compile-schemas.c
-@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
-       return;
-     }
- 
-+  if (path && (g_str_has_prefix (path, "/apps/") ||
-+               g_str_has_prefix (path, "/desktop/") ||
-+               g_str_has_prefix (path, "/system/")))
-+    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
-+                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
-+
-   state->schema_state = schema_state_new (path, gettext_domain,
-                                           extends, extends_name, list_of);
- 
---
-cgit v0.9.0.2

Copied: glib2/repos/testing-i686/revert-warn-glib-compile-schemas.patch (from rev 278192, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-i686/revert-warn-glib-compile-schemas.patch	                        (rev 0)
+++ testing-i686/revert-warn-glib-compile-schemas.patch	2016-10-10 21:17:03 UTC (rev 278193)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used.  This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
+       return;
+     }
+ 
++  if (path && (g_str_has_prefix (path, "/apps/") ||
++               g_str_has_prefix (path, "/desktop/") ||
++               g_str_has_prefix (path, "/system/")))
++    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
++                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+   state->schema_state = schema_state_new (path, gettext_domain,
+                                           extends, extends_name, list_of);
+ 
+--
+cgit v0.9.0.2

Deleted: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2016-10-10 21:16:42 UTC (rev 278192)
+++ testing-x86_64/PKGBUILD	2016-10-10 21:17:03 UTC (rev 278193)
@@ -1,79 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=glib2
-pkgname=(glib2 glib2-docs)
-pkgver=2.50.0+9+g34751ad
-pkgrel=1
-pkgdesc="Low level core library"
-url="http://www.gtk.org/"
-arch=(i686 x86_64)
-makedepends=('gettext' 'gtk-doc' 'libffi' 'pcre' 'zlib' 'shared-mime-info' 'python' 'libelf' 'git')
-_commit=34751ad17ac8e73558c530d15a3398273a5f4f67
-source=("git://git.gnome.org/glib#commit=$_commit"
-        glib-compile-schemas.hook
-        gio-querymodules.hook
-        revert-warn-glib-compile-schemas.patch)
-sha256sums=('SKIP'
-            'e1123a5d85d2445faac33f6dae1085fdd620d83279a4e130a83fe38db52b62b3'
-            '5ba204a2686304b1454d401a39a9d27d09dd25e4529664e3fd565be3d439f8b6'
-            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
-
-pkgver() {
-  cd glib
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd glib
-  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
-  NOCONFIGURE=1 ./autogen.sh
-}
-  
-build() {
-  cd glib
-  ./configure --prefix=/usr --libdir=/usr/lib \
-      --sysconfdir=/etc \
-      --with-pcre=system \
-      --disable-fam \
-      --enable-gtk-doc
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd glib
-  # Takes an effing long time
-  #make -k check || :
-}
-
-package_glib2() {
-  depends=('pcre' 'libffi')
-  optdepends=('python: for gdbus-codegen and gtester-report'
-              'libelf: gresource inspection tool')
-  options=('!docs' '!emptydirs')
-  license=('LGPL')
-
-  cd glib
-  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
-
-  chmod -x "$pkgdir"/usr/share/bash-completion/completions/*
-
-  # install hooks
-  install -dm755 "$pkgdir"/usr/share/libalpm/hooks/
-  install -m644 "$srcdir"/{glib-compile-schemas,gio-querymodules}.hook "$pkgdir"/usr/share/libalpm/hooks/
-}
-
-package_glib2-docs() {
-  pkgdesc="Documentation for glib2"
-  conflicts=('gobject2-docs')
-  replaces=('gobject2-docs')
-  license=('custom')
-  options=('docs' '!emptydirs')
-  
-  cd glib/docs
-  make DESTDIR="${pkgdir}" install
-  rm -rf "${pkgdir}/usr/share/man"
-  install -m755 -d "${pkgdir}/usr/share/licenses/glib2-docs"
-  install -m644 reference/COPYING "${pkgdir}/usr/share/licenses/glib2-docs/"
-}

Copied: glib2/repos/testing-x86_64/PKGBUILD (from rev 278192, glib2/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2016-10-10 21:17:03 UTC (rev 278193)
@@ -0,0 +1,83 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=glib2
+pkgname=(glib2 glib2-docs)
+pkgver=2.50.1
+pkgrel=1
+pkgdesc="Low level core library"
+url="http://www.gtk.org/"
+arch=(i686 x86_64)
+makedepends=(gettext gtk-doc libffi pcre zlib shared-mime-info python libelf git)
+checkdepends=(desktop-file-utils dbus)
+_commit=e44ea516afeb41d22cebf968b3ea5d9543856df2  # tags/2.50.1^0
+source=("git://git.gnome.org/glib#commit=$_commit"
+        glib-compile-schemas.hook
+        gio-querymodules.hook
+        revert-warn-glib-compile-schemas.patch)
+sha256sums=('SKIP'
+            'e1123a5d85d2445faac33f6dae1085fdd620d83279a4e130a83fe38db52b62b3'
+            '5ba204a2686304b1454d401a39a9d27d09dd25e4529664e3fd565be3d439f8b6'
+            '049240975cd2f1c88fbe7deb28af14d4ec7d2640495f7ca8980d873bb710cc97')
+
+pkgver() {
+  cd glib
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd glib
+  patch -Rp1 -i ../revert-warn-glib-compile-schemas.patch
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+build() {
+  cd glib
+  ./configure --prefix=/usr --libdir=/usr/lib \
+      --sysconfdir=/etc \
+      --with-pcre=system \
+      --disable-fam \
+      --enable-gtk-doc
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd glib
+  if ! make check; then
+    # Rounding error in timer tests?
+    # GLib:ERROR:timer.c:38:test_timer_basic: assertion failed (micros == ((guint64)(elapsed * 1e6)) % 1000000): (1 == 0)
+    make check
+  fi
+}
+
+package_glib2() {
+  depends=(pcre libffi)
+  optdepends=('python: for gdbus-codegen and gtester-report'
+              'libelf: gresource inspection tool')
+  options=(!docs !emptydirs)
+  license=(LGPL)
+
+  cd glib
+  make completiondir=/usr/share/bash-completion/completions DESTDIR="$pkgdir" install
+
+  chmod -x "$pkgdir"/usr/share/bash-completion/completions/*
+
+  # install hooks
+  install -d "$pkgdir/usr/share/libalpm/hooks/"
+  install -m644 "$srcdir"/{glib-compile-schemas,gio-querymodules}.hook \
+    "$pkgdir/usr/share/libalpm/hooks/"
+}
+
+package_glib2-docs() {
+  pkgdesc="Documentation for glib2"
+  conflicts=(gobject2-docs)
+  replaces=(gobject2-docs)
+  license=(custom)
+  options=(docs !emptydirs)
+  
+  cd glib/docs
+  make DESTDIR="$pkgdir" install
+  rm -r "$pkgdir/usr/share/man"
+  install -Dm644 reference/COPYING "$pkgdir/usr/share/licenses/glib2-docs/COPYING"
+}

Deleted: testing-x86_64/gio-querymodules.hook
===================================================================
--- testing-x86_64/gio-querymodules.hook	2016-10-10 21:16:42 UTC (rev 278192)
+++ testing-x86_64/gio-querymodules.hook	2016-10-10 21:17:03 UTC (rev 278193)
@@ -1,11 +0,0 @@
-[Trigger]
-Type = File
-Operation = Install
-Operation = Upgrade
-Operation = Remove
-Target = usr/lib/gio/modules/*.so
-
-[Action]
-Description = Updating GIO module cache...
-When = PostTransaction
-Exec = /usr/bin/gio-querymodules /usr/lib/gio/modules

Copied: glib2/repos/testing-x86_64/gio-querymodules.hook (from rev 278192, glib2/trunk/gio-querymodules.hook)
===================================================================
--- testing-x86_64/gio-querymodules.hook	                        (rev 0)
+++ testing-x86_64/gio-querymodules.hook	2016-10-10 21:17:03 UTC (rev 278193)
@@ -0,0 +1,11 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/lib/gio/modules/*.so
+
+[Action]
+Description = Updating GIO module cache...
+When = PostTransaction
+Exec = /usr/bin/gio-querymodules /usr/lib/gio/modules

Deleted: testing-x86_64/glib-compile-schemas.hook
===================================================================
--- testing-x86_64/glib-compile-schemas.hook	2016-10-10 21:16:42 UTC (rev 278192)
+++ testing-x86_64/glib-compile-schemas.hook	2016-10-10 21:17:03 UTC (rev 278193)
@@ -1,12 +0,0 @@
-[Trigger]
-Type = File
-Operation = Install
-Operation = Upgrade
-Operation = Remove
-Target = usr/share/glib-2.0/schemas/*.gschema.xml
-Target = usr/share/glib-2.0/schemas/*.gschema.override
-
-[Action]
-Description = Compiling GSettings XML schema files...
-When = PostTransaction
-Exec = /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

Copied: glib2/repos/testing-x86_64/glib-compile-schemas.hook (from rev 278192, glib2/trunk/glib-compile-schemas.hook)
===================================================================
--- testing-x86_64/glib-compile-schemas.hook	                        (rev 0)
+++ testing-x86_64/glib-compile-schemas.hook	2016-10-10 21:17:03 UTC (rev 278193)
@@ -0,0 +1,12 @@
+[Trigger]
+Type = File
+Operation = Install
+Operation = Upgrade
+Operation = Remove
+Target = usr/share/glib-2.0/schemas/*.gschema.xml
+Target = usr/share/glib-2.0/schemas/*.gschema.override
+
+[Action]
+Description = Compiling GSettings XML schema files...
+When = PostTransaction
+Exec = /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

Deleted: testing-x86_64/revert-warn-glib-compile-schemas.patch
===================================================================
--- testing-x86_64/revert-warn-glib-compile-schemas.patch	2016-10-10 21:16:42 UTC (rev 278192)
+++ testing-x86_64/revert-warn-glib-compile-schemas.patch	2016-10-10 21:17:03 UTC (rev 278193)
@@ -1,33 +0,0 @@
-From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
-From: Ryan Lortie <desrt at desrt.ca>
-Date: Thu, 12 Apr 2012 23:55:34 +0000
-Subject: glib-compile-schemas: warn about bad dconf paths
-
-For quite some time the recommended usage of GSettings and dconf has
-been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
-over from GConf and is continuing to make its way into a number of
-applications as they port.
-
-glib-compile-schemas will now warn about these types of paths being
-used.  This generates a lot of noise, but hopefully it will reduce the
-number of ported applications making this mistake.
----
-diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
-index cf02389..27d0181 100644
---- a/gio/glib-compile-schemas.c
-+++ b/gio/glib-compile-schemas.c
-@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
-       return;
-     }
- 
-+  if (path && (g_str_has_prefix (path, "/apps/") ||
-+               g_str_has_prefix (path, "/desktop/") ||
-+               g_str_has_prefix (path, "/system/")))
-+    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
-+                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
-+
-   state->schema_state = schema_state_new (path, gettext_domain,
-                                           extends, extends_name, list_of);
- 
---
-cgit v0.9.0.2

Copied: glib2/repos/testing-x86_64/revert-warn-glib-compile-schemas.patch (from rev 278192, glib2/trunk/revert-warn-glib-compile-schemas.patch)
===================================================================
--- testing-x86_64/revert-warn-glib-compile-schemas.patch	                        (rev 0)
+++ testing-x86_64/revert-warn-glib-compile-schemas.patch	2016-10-10 21:17:03 UTC (rev 278193)
@@ -0,0 +1,33 @@
+From 6560b37450cd19c4a7c7b690e279fe97b7bfdcaa Mon Sep 17 00:00:00 2001
+From: Ryan Lortie <desrt at desrt.ca>
+Date: Thu, 12 Apr 2012 23:55:34 +0000
+Subject: glib-compile-schemas: warn about bad dconf paths
+
+For quite some time the recommended usage of GSettings and dconf has
+been to use paths like /org/gnome/example/.  Use of /apps/ has spilled
+over from GConf and is continuing to make its way into a number of
+applications as they port.
+
+glib-compile-schemas will now warn about these types of paths being
+used.  This generates a lot of noise, but hopefully it will reduce the
+number of ported applications making this mistake.
+---
+diff --git a/gio/glib-compile-schemas.c b/gio/glib-compile-schemas.c
+index cf02389..27d0181 100644
+--- a/gio/glib-compile-schemas.c
++++ b/gio/glib-compile-schemas.c
+@@ -1204,6 +1204,12 @@ parse_state_start_schema (ParseState  *state,
+       return;
+     }
+ 
++  if (path && (g_str_has_prefix (path, "/apps/") ||
++               g_str_has_prefix (path, "/desktop/") ||
++               g_str_has_prefix (path, "/system/")))
++    g_printerr ("warning: Schema '%s' has path '%s'.  Paths starting with "
++                "'/apps/', '/desktop/' or '/system/' are deprecated.\n", id, path);
++
+   state->schema_state = schema_state_new (path, gettext_domain,
+                                           extends, extends_name, list_of);
+ 
+--
+cgit v0.9.0.2



More information about the arch-commits mailing list